cancel
Showing results for 
Search instead for 
Did you mean: 

Problem upgrade R/3 4.6c to ECC6.0

Former Member
0 Kudos

Hello

Im in the phase of prepare to upgrade my system and in the steps 36/37 (PR_DBPAR) i'am bloced

this a log

DBCONNCHK.LOG:4 ETW000 [dlux.c ,00000] *** ERROR => DlLoadLib: dlopen()= 0509-130 Symbol resolution failed for /upgradesd1/exe/dboraslib.o because:

root@grherpd1:/upgradesd1/log# cat DBCONNCHK.LOG

4 ETW000 /upgradesd1/exe/R3trans version 6.14 (release 700 - 20.07.06 - 17:34:00).

4 ETW000 ===============================================

4 ETW000

4 ETW000 date&time : 17.07.2007 - 10:11:01

4 ETW000 control file: <no ctrlfile>

4 ETW000 R3trans was called as follows: /upgradesd1/exe/R3trans -d -w /upgradesd1/log/DBCONNCHK.LOG

4 ETW000 trace at level 2 opened for a given file pointer

4 ETW000 [dev trc ,00000] Tue Jul 17 10:11:01 2007 11445 0.011445

4 ETW000 [dev trc ,00000] db_con_init called 22 0.011467

4 ETW000 [dev trc ,00000] create_con (con_name=R/3) 39 0.011506

4 ETW000 [dev trc ,00000] Loading DB library '/upgradesd1/exe/dboraslib.o' ...

4 ETW000 38 0.011544

4 ETW000 [dlux.c ,00000] *** ERROR => DlLoadLib: dlopen()= 0509-130 Symbol resolution failed for /upgradesd1/exe/dboraslib.o because:

4 ETW000 0509-136 Symbol OCIClientVersion (number 87) is not exported from

4 ETW000 dependent module /oracle/client/92x_64/lib/libclntsh.a[ shr.o].

4 ETW000 0509-022 Cannot load module /upgradesd1/exe/dboraslib.o.

4 ETW000 0509-026 System error: Cannot run a file that does not have a valid format.

4 ETW000 0509-192 Examine .loader section symbols with the

4 ETW000 'dump -Tv' command. -> DLENOACCESS (8,Exec format error)

4 ETW000 10969 0.022513

4 ETW000 [dbcon.c ,00000] *** ERROR => Couldn't load library '/upgradesd1/exe/dboraslib.o'

4 ETW000 21 0.022534

2EETW169 no connect possible: "maybe someone set invalid values for DIR_LIBRARY ('/upgradesd1/exe') or dbms_type ('ORA')"

thanks in advance

Accepted Solutions (0)

Answers (2)

Answers (2)

markus_doehr2
Active Contributor
0 Kudos

> System error: Cannot run a file that does not have a

> valid format.

What AIX version are you running?

What gives

file /upgradesd1/exe/dboraslib.o

--

Markus

Former Member
0 Kudos

Problem solved

Application of the notes 538849

thanks for all

markus_doehr2
Active Contributor
0 Kudos

What operating system are you on? Is that AIX (assuming because of the .o library name)

Is your database already on 10.2.0.2 or are you doing the prepare with 9.2?

--

Markus

Former Member
0 Kudos

thanks for replay

yes it's in 10.2.0.2 also the client 10.2.0.2